# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit elisp

DESCRIPTION="An Emacs package to get GDScript support and syntax highlighting."
HOMEPAGE="https://github.com/godotengine/emacs-gdscript-mode"
SRC_URI="https://github.com/godotengine/emacs-${PN}/archive/refs/tags/${PV}.tar.gz -> ${PN}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

S="${WORKDIR}/emacs-${P}"
