# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

EGIT_REPO_URI="https://github.com/LibreSprite/LibreSprite"
EGIT_COMMIT="ed8d6ce6cb32d574905b724ef4959d05ac42102b"

inherit git-r3 ninja-utils cmake

DESCRIPTION="Animated sprite editor & pixel art tool"
HOMEPAGE="https://libresprite.github.io"
SRC_URI=""
#SRC_URI="https://github.com/LibreSprite/LibreSprite/archive/refs/tags/v${PV}.tar.gz -> ${P}.0.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
	dev-util/cmake
	dev-util/ninja
	media-libs/freetype
	net-misc/curl
	media-libs/giflib
	dev-cpp/gtest
	dev-lang/lua
	dev-libs/tinyxml
	media-libs/sdl2-image[jpeg,png,webp]
"
RDEPEND="${DEPEND}"
